# Overview

## tasks

Tasks, the filter grammar and search (`GET /v1/tasks` with `filter[search]` IS search), and a task’s links.

## Operations

GET

[/v1/tasks](https://developers.tasksmate.indrasol.com/reference/operations/taskslist/)

POST

[/v1/tasks](https://developers.tasksmate.indrasol.com/reference/operations/taskscreate/)

GET

[/v1/tasks/{task\_id}](https://developers.tasksmate.indrasol.com/reference/operations/tasksread/)

PUT

[/v1/tasks/{task\_id}](https://developers.tasksmate.indrasol.com/reference/operations/tasksreplace/)

DELETE

[/v1/tasks/{task\_id}](https://developers.tasksmate.indrasol.com/reference/operations/tasksdelete/)

PATCH

[/v1/tasks/{task\_id}](https://developers.tasksmate.indrasol.com/reference/operations/tasksupdate/)

POST

[/v1/tasks/{task\_id}/project](https://developers.tasksmate.indrasol.com/reference/operations/tasksset_project/)

PUT

[/v1/tasks/{task\_id}/sprint](https://developers.tasksmate.indrasol.com/reference/operations/tasksset_sprint/)

PUT

[/v1/tasks/{task\_id}/milestone](https://developers.tasksmate.indrasol.com/reference/operations/tasksset_milestone/)

PUT

[/v1/tasks/{task\_id}/section](https://developers.tasksmate.indrasol.com/reference/operations/tasksset_section/)

POST

[/v1/tasks/{task\_id}/subtasks](https://developers.tasksmate.indrasol.com/reference/operations/tasksadd_subtask/)

DELETE

[/v1/tasks/{task\_id}/subtasks/{subtask\_id}](https://developers.tasksmate.indrasol.com/reference/operations/tasksremove_subtask/)

POST

[/v1/tasks/{task\_id}/dependencies](https://developers.tasksmate.indrasol.com/reference/operations/tasksadd_dependency/)

DELETE

[/v1/tasks/{task\_id}/dependencies/{dependency\_id}](https://developers.tasksmate.indrasol.com/reference/operations/tasksremove_dependency/)

---
Source: https://developers.tasksmate.indrasol.com/reference/operations/tags/tasks/
